### Constructor

# GcrUi KeyRenderer new

#### Declaration [src]

    GcrKeyRenderer*
    gcr_key_renderer_new (
      const gchar* label,
      GckAttributes* attrs
    )

#### Description [src]

Create a new key renderer which renders a given key in the attributes.

#### Parameters

`label` | `const gchar*`
| Label describing the key.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`attrs` | `GckAttributes`
| Key to display, or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GcrKeyRenderer`
| A newly allocated `GcrKeyRenderer`, which should be freed with `g_object_unref()`
| The caller of the function takes ownership of the data, and is responsible for freeing it.